<?php

/**
 * Block Styles
 *
 * @link https://developer.wordpress.org/reference/functions/register_block_style/
 *
 * @package monocle
 * @since 1.0.0
 */

if ( function_exists( 'register_block_style' ) ) {
	/**
	 * Register block styles.
	 *
	 * @since 0.1
	 *
	 * @return void
	 */
	function monocle_register_block_styles() {
		register_block_style(
			'core/group',
			array(
				'name'  => 'monocle-boxshadow',
				'label' => __( 'Box Shadow', 'monocle' ),
			)
		);
		register_block_style(
			'core/group',
			array(
				'name'  => 'monocle-boxshadow-md',
				'label' => __( 'Box Shadow : Medium', 'monocle' ),
			)
		);
		register_block_style(
			'core/group',
			array(
				'name'  => 'monocle-boxshadow-lg',
				'label' => __( 'Box Shadow : Large', 'monocle' ),
			)
		);
		register_block_style(
			'core/group',
			array(
				'name'  => 'monocle-boxshadow-hover',
				'label' => __( 'Hover : Box Shadow', 'monocle' ),
			)
		);
		register_block_style(
			'core/group',
			array(
				'name'  => 'monocle-overflow-hidden',
				'label' => __( 'Overflow : Hidden', 'monocle' ),
			)
		);
		register_block_style(
			'core/columns',
			array(
				'name'  => 'monocle-boxshadow',
				'label' => __( 'Box Shadow', 'monocle' ),
			)
		);
		register_block_style(
			'core/columns',
			array(
				'name'  => 'monocle-boxshadow-hover',
				'label' => __( 'Hover : Box Shadow', 'monocle' ),
			)
		);
		register_block_style(
			'core/columns',
			array(
				'name'  => 'monocle-boxshadow-overflow-hidden',
				'label' => __( 'Overflow : Hidden', 'monocle' ),
			)
		);
		register_block_style(
			'core/column',
			array(
				'name'  => 'monocle-boxshadow',
				'label' => __( 'Box Shadow', 'monocle' ),
			)
		);
		register_block_style(
			'core/column',
			array(
				'name'  => 'monocle-boxshadow-md',
				'label' => __( 'Box Shadow : Medium', 'monocle' ),
			)
		);
		register_block_style(
			'core/column',
			array(
				'name'  => 'monocle-boxshadow-lg',
				'label' => __( 'Box Shadow : Large', 'monocle' ),
			)
		);
		register_block_style(
			'core/column',
			array(
				'name'  => 'monocle-boxshadow-hover',
				'label' => __( 'Hover : Box Shadow', 'monocle' ),
			)
		);
		register_block_style(
			'core/column',
			array(
				'name'  => 'monocle-boxshadow-overflow-hidden',
				'label' => __( 'Overflow : Hidden', 'monocle' ),
			)
		);
		register_block_style(
			'core/image',
			array(
				'name'  => 'monocle-image-zoom-in',
				'label' => __( 'Hover : Zoom In', 'monocle' ),
			)
		);
		register_block_style(
			'core/image',
			array(
				'name'  => 'monocle-image-zoom-out',
				'label' => __( 'Hover : Zoom Out', 'monocle' ),
			)
		);
		register_block_style(
			'core/post-featured-image',
			array(
				'name'  => 'monocle-image-zoom-in',
				'label' => __( 'Hover : Zoom In', 'monocle' ),
			)
		);
		register_block_style(
			'core/post-featured-image',
			array(
				'name'  => 'monocle-image-zoom-out',
				'label' => __( 'Hover : Zoom Out', 'monocle' ),
			)
		);
		register_block_style(
			'core/cover',
			array(
				'name'  => 'monocle-cover-zoom-in',
				'label' => __( 'Hover : Zoom In', 'monocle' ),
			)
		);
		register_block_style(
			'core/cover',
			array(
				'name'  => 'monocle-cover-zoom-out',
				'label' => __( 'Hover : Zoom Out', 'monocle' ),
			)
		);
		register_block_style(
			'core/button',
			array(
				'name'  => 'monocle-button-bell',
				'label' => __( 'Bell Icon', 'monocle' ),
			)
		);
		register_block_style(
			'core/post-terms',
			array(
				'name'  => 'monocle-categories-primary',
				'label' => __( 'Primary', 'monocle' ),
			)
		);
		register_block_style(
			'core/post-terms',
			array(
				'name'  => 'monocle-categories-secondary',
				'label' => __( 'Secondary', 'monocle' ),
			)
		);
		register_block_style(
			'core/post-terms',
			array(
				'name'  => 'monocle-categories-tertiary',
				'label' => __( 'Tertiary', 'monocle' ),
			)
		);
		register_block_style(
			'core/post-terms',
			array(
				'name'  => 'monocle-categories-alternate',
				'label' => __( 'Alternate', 'monocle' ),
			)
		);
		register_block_style(
			'core/social-links',
			array(
				'name'  => 'monocle-social-icons-border',
				'label' => __( 'Borders', 'monocle' ),
			)
		);
		register_block_style(
			'core/navigation',
			array(
				'name'  => 'monocle-navigation-primary-hover',
				'label' => __( 'Hover : Primary', 'monocle' ),
			)
		);
		register_block_style(
			'core/navigation',
			array(
				'name'  => 'monocle-navigation-secondary-hover',
				'label' => __( 'Hover : Secondary', 'monocle' ),
			)
		);
		register_block_style(
			'core/query-pagination',
			array(
				'name'  => 'monocle-pagination-primary',
				'label' => __( 'Primary', 'monocle' ),
			)
		);
		register_block_style(
			'core/query-pagination',
			array(
				'name'  => 'monocle-pagination-secondary',
				'label' => __( 'Secondary', 'monocle' ),
			)
		);
		register_block_style(
			'core/query-pagination',
			array(
				'name'  => 'monocle-pagination-tertiary',
				'label' => __( 'Tertiary', 'monocle' ),
			)
		);
		register_block_style(
			'core/categories',
			array(
				'name'  => 'monocle-category-list-hidden',
				'label' => __( 'List Style : Hidden', 'monocle' ),
			)
		);
		register_block_style(
			'core/categories',
			array(
				'name'  => 'monocle-category-primary',
				'label' => __( 'Hover: Primary', 'monocle' ),
			)
		);
		register_block_style(
			'core/categories',
			array(
				'name'  => 'monocle-category-secondary',
				'label' => __( 'Hover: Secondary', 'monocle' ),
			)
		);
		register_block_style(
			'core/categories',
			array(
				'name'  => 'monocle-category-tertiary',
				'label' => __( 'Hover: Tertiary', 'monocle' ),
			)
		);
		register_block_style(
			'core/social-links',
			array(
				'name'  => 'monocle-category-border-pointed',
				'label' => __( 'Border : Pointed', 'monocle' ),
			)
		);
	}
	add_action( 'init', 'monocle_register_block_styles' );
}
